Create Item Property
curl --request POST \
--url https://api.jtl-cloud.com/erp/items/{itemId}/properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"PropertyValueId": 123
}
'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}/properties"
payload = { "PropertyValueId": 123 }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({PropertyValueId: 123})
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"PropertyId": 123,
"PropertyValueId": 123
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Create Item Property
deprecated
Assign a property value to a specific item
POST
/
items
/
{itemId}
/
properties
Create Item Property
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the item that the property values belong to.
Body
application/json
The ItemPropertyValue to create.
Model Class: CreateItemPropertyValue
A unique property value ID for an item.
Was this page helpful?
⌘I